import request from '@/utils/request'
// 新增
export function addPriceConfig(data) {
    return request({
        url: '/ems/energyPriceConfig',
        method: 'post',
        data
    })
}

//修改
export function editPriceConfig(data) {
    return request({
        url: '/ems/energyPriceConfig',
        method: 'put',
        data
    })
}

//删除
export function energyPriceConfig(id) {
    return request({
        url: `/ems/energyPriceConfig/${id}`,
        method: 'DELETE',
    })
}
//详情
export function detailPriceConfig(id) {
    return request({
        url: `/ems/energyPriceConfig/${id}`,
        method: 'get',
    })
}

//列表
export function listPriceConfig({startTime,endTime,pageSize,pageNum,siteId}) {
    return request({
        url: `/ems/energyPriceConfig/list?startTime=${startTime}&endTime=${endTime}&pageNum=${pageNum}&pageSize=${pageSize}&siteId=${siteId}`,
        method: 'get',
    })
}

